# Interface methods for submodule: SimpleContourExtractorImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import BoxImageFilterProxy as _BoxImageFilterProxy


# Interface methods for class: SimpleContourExtractorImageFilter
class SimpleContourExtractorImageFilterProxy(_BoxImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetInputForegroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetInputForegroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetInputForegroundValue(self) -> float:
		""""""
		...

	@overload
	def GetInputForegroundValue(self) -> int:
		""""""
		...

	@overload
	def SetInputBackgroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetInputBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetInputBackgroundValue(self) -> float:
		""""""
		...

	@overload
	def GetInputBackgroundValue(self) -> int:
		""""""
		...

	@overload
	def SetOutputForegroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetOutputForegroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetOutputForegroundValue(self) -> float:
		""""""
		...

	@overload
	def GetOutputForegroundValue(self) -> int:
		""""""
		...

	@overload
	def SetOutputBackgroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetOutputBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetOutputBackgroundValue(self) -> float:
		""""""
		...

	@overload
	def GetOutputBackgroundValue(self) -> int:
		""""""
		...

